Macaulay2 » Documentation
Packages » OIGroebnerBases » toString(FreeOIModule)
next | previous | forward | backward | up | index | toc

# toString(FreeOIModule) -- display a free OI-module in condensed form

- Function: toString
- Usage:
    `toString F`
- Inputs:
  - F, an instance of the type FreeOIModule,
- Outputs:
  - a string,

## Description

Displays the basis symbol, basis element widths, and degree shifts of a free OI-module as a string.

    i1 : P = makePolynomialOIAlgebra(2, x, QQ);

    i2 : F = makeFreeOIModule(e, {1,2}, P);

    i3 : toString F

    o3 = (e, {1, 2}, {0, 0})

## Ways to use this method:

- toString(FreeOIModule) -- display a free OI-module in condensed form

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/OIGroebnerBases.m2:2041:0.